- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# osgreflect.cpp File Reference

`#include <osg/Node>`
`#include <osg/Geometry>`
`#include <osg/Geode>`
`#include <osg/Notify>`
`#include <osg/MatrixTransform>`
`#include <osg/Texture2D>`
`#include <osg/BlendFunc>`
`#include <osg/Stencil>`
`#include <osg/ColorMask>`
`#include <osg/Depth>`
`#include <osg/ClipNode>`
`#include <osgUtil/TransformCallback>`
`#include <osgDB/ReadFile>`
`#include <osgUtil/Optimizer>`
`#include <osgProducer/Viewer>`

Include dependency graph for osgreflect.cpp:

## Functions
osg::StateSet * | createMirrorTexturedState (const std::string &filename)
osg::Drawable * | createMirrorSurface (float xMin, float xMax, float yMin, float yMax, float z)
osg::Node * | createMirroredScene (osg::Node *model)
int | main (int argc, char **argv)

## Function Documentation

osg::Node* createMirroredScene | ( | osg::Node * | model | ) |

osg::Drawable* createMirrorSurface | ( | float | xMin,
|  | float | xMax,
|  | float | yMin,
|  | float | yMax,
|  | float | z
| ) |

osg::StateSet* createMirrorTexturedState | ( | const std::string & | filename | ) |

int main | ( | int | argc,
|  | char ** | argv
| ) |